/*
 * $Id: Tracer.java,v 1.2 2001/01/02 11:51:24 sdw Exp $
  (c) 1999 Simon Whiteside
 */

package simkin;

/**
 * This class provides an interface to System.out.println
 */
final public class Tracer {
    /**
     * This variable controls whether the output is printed to stdout or not - by default the value is true
     */
    public static boolean g_Tracing=true;
    /**
     * This method causes the given message to be printed to stdout (if g_Tracing is true)
     */
    public static void trace(String msg){
	if (g_Tracing)
	    System.out.println(msg);
    }
    /**
     * This method dumps the given exception to stdout (if g_Tracing is true)
     */
    public static void trace(Exception e){
	if (g_Tracing)
	    e.printStackTrace();
    }
}
